21.08.2014, 21:12 UhrDeutsch | English
Hallo Gast [ Registrierung | Anmelden ]

Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
Autor Nachricht
mzilikazi
Titel: Democracy player, internet, tv, free - revolutionary.  BeitragVerfasst am: 03.05.2006, 05:08 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
It's fairly easy to install Democracy Player and it's really turning out to be a kick in the pants to watch some of the stuff available to watch for free. This following was simply harvested from the forums and assembled here for your pleasure. The only minor difficulty with installation was the use of an ancient libboost-python version thus the --force-all & symlink.
Code:
wget http://ftp.osuosl.org/pub/pculture.org/democracy/linux/debian/Democracy-0.8.2-i386.deb
apt-get install libboost-python1.33.1
dpkg -i --force-all Democracy-0.8.2-i386.deb
ln -s /usr/lib/libboost_python-gcc-mt-1_33_1.so.1.33.1 /usr/lib/libboost_python-gcc-mt-1_33.so.1.33.0


If you get some unresolved dependencies do:
Code:
apt-get -f install
dpkg -i --force-all Democracy-0.8.2-i386.deb


Don't worry about this message:
Code:
dpkg: democracyplayer: dependency problems, but configuring anyway as you request:
 democracyplayer depends on libboost-python1.33.0 (>= 1.33.0-1); however:
  Package libboost-python1.33.0 is not installed.


To launch simply type:
Code:
democracyplayer


This really is something different & interesting.

_________________
Ubuntu - An ancient African word for "Can't install Debian"


Zuletzt bearbeitet von mzilikazi am 03.05.2006, 14:42 Uhr, insgesamt ein Mal bearbeitet
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
t-bone
Titel: RE: Democracy player, internet, tv, free - revolutionary.  BeitragVerfasst am: 03.05.2006, 07:00 Uhr



Anmeldung: 12. Sep 2005
Beiträge: 130

Cool! Thanks for the information and instructions! Sehr glücklich

_________________
"All that is not given is lost."
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen AIM-Name Yahoo Messenger MSN Messenger ICQ-Nummer 
Antworten mit Zitat Nach oben
meldawson
Titel: RE: Democracy player, internet, tv, free - revolutionary.  BeitragVerfasst am: 03.05.2006, 20:22 Uhr



Anmeldung: 29. Jan 2006
Beiträge: 44
Wohnort: Powell River BC Canada
I am having trouble with this and get this message:root@KanotixBox:/home/mel# democracyplayer
Traceback (most recent call last):
File "/usr/bin/democracyplayer", line 26, in ?
import app
File "/usr/lib/python2.4/site-packages/democracy/app.py", line 2, in ?
import feed
File "/usr/lib/python2.4/site-packages/democracy/feed.py", line 1, in ?
from downloader import grabURL
File "/usr/lib/python2.4/site-packages/democracy/downloader.py", line 1, in ?
from database import DDBObject, defaultDatabase
File "database.pyx", line 18, in database
File "/usr/lib/python2.4/site-packages/democracy/config.py", line 3, in ?
import platformcfg
File "/usr/lib/python2.4/site-packages/democracy/platformcfg.py", line 4, in ?
import gconf
ImportError: No module named gconf
root@KanotixBox:/home/mel#

but here is something interesting, the appearance of the fonts in Konqueror have become very clear after trying to install democracy player. now just to get democracy player working Smilie.

_________________
KDE 3.5.1 2.6.14 - kanotix-9
AMD 64 ASUS A8N-E Geforce 6600GT
1 Gig Ram
Dual boot winxp pro
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Klenje
Titel: RE: Democracy player, internet, tv, free - revolutionary.  BeitragVerfasst am: 03.05.2006, 21:01 Uhr



Anmeldung: 04. Apr 2006
Beiträge: 38
Wohnort: Friuli, NE Italy
same error for me...

_________________
Kanotix rules
Friûl libar
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen MSN Messenger  
Antworten mit Zitat Nach oben
rich.bradshaw
Titel: RE: Democracy player, internet, tv, free - revolutionary.  BeitragVerfasst am: 03.05.2006, 21:37 Uhr



Anmeldung: 14. Jan 2006
Beiträge: 287

same error for me!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
danone
Titel: RE: Democracy player, internet, tv, free - revolutionary.  BeitragVerfasst am: 03.05.2006, 21:52 Uhr



Anmeldung: 13. Feb 2004
Beiträge: 373

dito
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
mzilikazi
Titel:   BeitragVerfasst am: 04.05.2006, 12:48 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
DOH! I should have known the KDE users would not have gconf installed! Note the error:
Code:
No module named gconf

Try:
Code:
apt-get install gconf2

At any rate the democracyplayer is still a bit buggy and I have not resolved how to keep it installed through an upgrade. Just the same it was fun to try out.

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
rich.bradshaw
Titel:   BeitragVerfasst am: 04.05.2006, 14:12 Uhr



Anmeldung: 14. Jan 2006
Beiträge: 287

i found that whatever I wanted to download never downloaded... is it sort of peer to peer? Maybe it needs more peers...
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
kstevek
Titel:   BeitragVerfasst am: 04.05.2006, 19:49 Uhr



Anmeldung: 26. Jan 2006
Beiträge: 37

mzilikazi hat folgendes geschrieben::
DOH! I should have known the KDE users would not have gconf installed! Note the error:
Code:
No module named gconf

Try:
Code:
apt-get install gconf2

At any rate the democracyplayer is still a bit buggy and I have not resolved how to keep it installed through an upgrade. Just the same it was fun to try out.



hi, i've got gconf and gconf2 installed but the error is still the same as above...been trawling forums but its not mentioned as a problem except here

cheers kstevek.

_________________
Skip built box, AMD Athlon XP1700,Jetway mobo (no sensors), geforce2 mx400, 512m ram, wireless.
running Kanotix Easter edition, xorg7, kernel 2.6.18.5-slh-up-1, beryl enhanced kde boing boing!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Gatu
Titel:   BeitragVerfasst am: 25.05.2006, 09:59 Uhr



Anmeldung: 17. Dez 2005
Beiträge: 35

Hi,

I installed python2.4-gnome2 and python-gnome2 (together with all dependencies). One of both did it, I think rather the first one.
Give it a try...

Br,
Gatu
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
craigevil
Titel:   BeitragVerfasst am: 25.05.2006, 14:34 Uhr



Anmeldung: 29. Mar 2005
Beiträge: 96
Wohnort: Terra
Gatu hat folgendes geschrieben::
Hi,

I installed python2.4-gnome2 and python-gnome2 (together with all dependencies). One of both did it, I think rather the first one.
Give it a try...

Br,
Gatu


Wow that is a lot of packages just to install one.

The python-gnome2 pulled in like 50 packages including things like the mozilla browser and a lot of gnome junk.

The apt-get -f install removed democracyplayer as well. Oh well off to try to reinstall it. Looks interesting. Well no joy , installed both the python packages above with their ton of dependecies plus gconf2 and I still get the following error:

Traceback (most recent call last):
File "/usr/bin/democracyplayer", line 26, in ?
import app
File "/usr/lib/python2.4/site-packages/democracy/app.py", line 2, in ?
import feed
File "/usr/lib/python2.4/site-packages/democracy/feed.py", line 1, in ?
from downloader import grabURL
File "/usr/lib/python2.4/site-packages/democracy/downloader.py", line 1, in ?
from database import DDBObject, defaultDatabase
File "database.pyx", line 18, in database
File "/usr/lib/python2.4/site-packages/democracy/config.py", line 3, in ?
import platformcfg

So what am I missing? Looks like the app itself is having issues.

_________________
Easter Rc4 IceWeasel 2.6.18.3-slh-up-1
How to Learn and Use GNU/Linux
My Debian sources.list
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen Yahoo Messenger MSN Messenger ICQ-Nummer 
Antworten mit Zitat Nach oben
Gatu
Titel:   BeitragVerfasst am: 26.05.2006, 09:10 Uhr



Anmeldung: 17. Dez 2005
Beiträge: 35

hm..... in my case the python-gnome2 would install only some few extra packages, it seems that you have on older version of Kanotix. than I. I have the easter-version RC4
Do you have an actual version of python2.4-gtk2? I am quite sure that the problem is some python issue.

BTW: I also have to "apt-get -f install" before I add anything and to reinstall democracyplayer again at the end... I do not know how to get rid of this.

Br,
Gatu
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
craigevil
Titel:   BeitragVerfasst am: 26.05.2006, 17:23 Uhr



Anmeldung: 29. Mar 2005
Beiträge: 96
Wohnort: Terra
I am running the easter RC4 with most of the updates.

Even after installing all the packages suggested and using apt-get -f install democracyplayer shows as broken in Synaptic.

Oh well no biggie, I installed it in winxp and wasnt too impressed. I was hoping it was more along the lines of streaming tv and not stuff I had to download.

_________________
Easter Rc4 IceWeasel 2.6.18.3-slh-up-1
How to Learn and Use GNU/Linux
My Debian sources.list
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen Yahoo Messenger MSN Messenger ICQ-Nummer 
Antworten mit Zitat Nach oben
Beiträge vom vorherigen Thema anzeigen:     
Gehe zu:  
Alle Zeiten sind GMT + 1 Stunde
Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
PNphpBB2 © 2003-2007 
 
Deutsch | English
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2004 - 2006 by Jörg Schirottke (Kano).
Consult Impressum and Legal Terms for details. Kanotix is Free Software released under the GNU/GPL license.
This CMS is powered by PostNuke, all themes used at this site are released under the GNU/GPL license. designed and hosted by w3you. Our web server is running on Kanotix64-2006.